ximgview(1)

NAME
ximgview - View BMP images from the PNG driver.

KEYWORDS
display, graphics, raster, vector, visualization

SYNOPSIS
ximgview
ximgview --help
ximgview image=name [percent=integer] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

image=name [required]
    Image file

percent=integer
    Percentage of CPU time to use
    Default: 10

DESCRIPTION
ximgview is a simple X11 image viewer for 32-bpp BMP images, as can be created with the PNG and cairo drivers. The display is continually refreshed.

NOTES
The display driver must be configure to map the file, with GRASS_RENDER_FILE_MAPPED=TRUE. This ensures that the file will remain a constant size, rather than being truncated whenever it is updated.

EXAMPLE
(bash shell syntax)

export GRASS_RENDER_FILE=map.bmp
export GRASS_RENDER_WIDTH=640
export GRASS_RENDER_HEIGHT=480
export GRASS_RENDER_IMMEDIATE=PNG
export GRASS_RENDER_FILE_MAPPED=TRUE
export GRASS_RENDER_FILE_READ=TRUE
d.erase
ximgview $GRASS_RENDER_FILE percent=50 &
d.rast elevation.dem
d.vect roads

SEE ALSO
PNG driver
cairo driver
wximgview

AUTHOR
Glynn Clements

SOURCE CODE

Available at: ximgview source code (history)

Latest change: Sunday Feb 12 15:51:56 2023 in commit: 7d6ff54e985c1579e11b74c230cb8fa68a9aa928

Main index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.3dev Reference Manual